Reddit Subreddit Search
Endpoint reference for /v1/reddit/r/:subreddit/search.
POST
/v1/reddit/r/:subreddit/search Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| subreddit | path | string | Yes | — |
| query | body | string | Yes | Search query |
| limit | body | number | No | Number of results |
| sort | body | string | No | Sort type: relevance, hot, top, new, or comments |
| time | body | string | No | Time period: hour, day, week, month, year, or all |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/r/programming/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"typescript","limit":25,"sort":"relevance","time":"week"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/r/programming/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"typescript","limit":25,"sort":"relevance","time":"week","_run":{"async":false}}'